Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class FlowConstructService

    java.lang.Object
      org.mule.module.management.mbean.FlowConstructService

All Implemented Interfaces:
  MBeanRegistration, FlowConstructServiceMBean, FlowConstructStatsMBean

Direct Known Subclasses:
  ServiceService

    public class FlowConstructService

extends Object
implements FlowConstructServiceMBean, MBeanRegistration, FlowConstructStatsMBean

`FlowConstructService` exposes service information about a Mule Managed flow construct.

Field Summary
`protected MuleContext` | `muleContext`
`protected String` | `name`
`protected ObjectName` | `objectName`
`protected MBeanServer` | `server`
`protected FlowConstructStatistics` | `statistics`
`protected ObjectName` | `statsName`
`protected String` | `type`

Constructor Summary
`protected` | `FlowConstructService(String type, String name, MuleContext muleContext)`
`` | `FlowConstructService(String type, String name, MuleContext muleContext, FlowConstructStatistics statistics)`

Method Summary
`void` | `clearStatistics()`
`long` | `getAsyncEventsReceived()`
`long` | `getAverageProcessingTime()`
`long` | `getExecutionErrors()`
`long` | `getFatalErrors()`
`long` | `getMaxProcessingTime()`
`long` | `getMinProcessingTime()`
`String` | `getName()` The name of this service
`long` | `getProcessedEvents()`
`ObjectName` | `getStatistics()` The statistics for this flow construct
`long` | `getSyncEventsReceived()`
`long` | `getTotalEventsReceived()`
`long` | `getTotalProcessingTime()`
`String` | `getType()` The type of flow construct
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statistics

    protected FlowConstructStatistics statistics

### server

    protected MBeanServer server

### name

    protected String name

### type

    protected String type

### statsName

    protected ObjectName statsName

### objectName

    protected ObjectName objectName

### muleContext

    protected MuleContext muleContext

Constructor Detail

### FlowConstructService

    public FlowConstructService(String type,
                                String name,
                                MuleContext muleContext,
                                FlowConstructStatistics statistics)

### FlowConstructService

    protected FlowConstructService(String type,
                                   String name,
                                   MuleContext muleContext)

Method Detail

### getName

    public String getName()

  Description copied from interface: `FlowConstructServiceMBean`
  The name of this service

  Specified by:
    `getName` in interface `FlowConstructServiceMBean`
  Returns:
    The name of this service

### getType

    public String getType()

  Description copied from interface: `FlowConstructServiceMBean`
  The type of flow construct

  Specified by:
    `getType` in interface `FlowConstructServiceMBean`

### getStatistics

    public ObjectName getStatistics()

  Description copied from interface: `FlowConstructServiceMBean`
  The statistics for this flow construct

  Specified by:
    `getStatistics` in interface `FlowConstructServiceMBean`
  Returns:
    statistics for this flow construct
  See Also:
    `FlowConstructStats`

### clearStatistics

    public void clearStatistics()

  Specified by:
    `clearStatistics` in interface `FlowConstructStatsMBean`

### getAsyncEventsReceived

    public long getAsyncEventsReceived()

  Specified by:
    `getAsyncEventsReceived` in interface `FlowConstructStatsMBean`

### getSyncEventsReceived

    public long getSyncEventsReceived()

  Specified by:
    `getSyncEventsReceived` in interface `FlowConstructStatsMBean`

### getTotalEventsReceived

    public long getTotalEventsReceived()

  Specified by:
    `getTotalEventsReceived` in interface `FlowConstructStatsMBean`

### getAverageProcessingTime

    public long getAverageProcessingTime()

  Specified by:
    `getAverageProcessingTime` in interface `FlowConstructStatsMBean`

### getProcessedEvents

    public long getProcessedEvents()

  Specified by:
    `getProcessedEvents` in interface `FlowConstructStatsMBean`

### getMaxProcessingTime

    public long getMaxProcessingTime()

  Specified by:
    `getMaxProcessingTime` in interface `FlowConstructStatsMBean`

### getMinProcessingTime

    public long getMinProcessingTime()

  Specified by:
    `getMinProcessingTime` in interface `FlowConstructStatsMBean`

### getTotalProcessingTime

    public long getTotalProcessingTime()

  Specified by:
    `getTotalProcessingTime` in interface `FlowConstructStatsMBean`

### getExecutionErrors

    public long getExecutionErrors()

  Specified by:
    `getExecutionErrors` in interface `FlowConstructStatsMBean`

### getFatalErrors

    public long getFatalErrors()

  Specified by:
    `getFatalErrors` in interface `FlowConstructStatsMBean`

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName name)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.